Subject: Re: External complaints about the deprecated Lines: header

From: Russ Allbery <[email-masked]>
Date: Mon, 04 Jan 2010 17:27:11 -0800

Julien ÉLIE <[email-masked]> writes:

> * LOTS of news servers generate a wrong lines count in their overview.

> This last issue is the most annoying.
> Diablo, Highlands servers, INN (< 2.5), amongst others, return that an article
> has 0 line in its overview data when no Lines: header is present.  It is the
> implemented behaviour of XOVER.
> That breaks things (especially filtering based on headers, before downloading
> articles).

Yeah, this has been a problem for years.  It's just becoming more
noticable now that new versions of INN don't generate the header, but some
servers haven't generated the header for quite some time and I see
supposedly 0-line articles all the time on old servers.

As you say, the only real solution is for people to upgrade their
software.  The Lines header was always rather broken.

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>